Turnover report for products
Get products turnover report for a time period, optionally filtered on a list of product group and UIDs. The report generates sums of sold products and total values.
Required permissions: REPORTING
Access token recevied after user login with a deviceToken
Reference to a tenant.
^[A-Za-z0-9-_]+Array of brandUids
Array of productGroup ids
Array of storeUids
if true, the excel report returns a response with order items grouped by userCode
| ENUM | Description |
|---|---|
| settled | Report on settled orders using settled_at. Includes only orders with status COMPLETE and settleState COMPLETE. |
| ordered | Report on orders using order_date. Includes orders with status COMPLETE or CONFIRMED. |
settledPossible values: ^[A-Za-z0-9-_]*When true, the spreadsheet includes extra cost-only rows for items delivered on a later date than the sale, where the delivery cost differs from the sale cost price. Used to verify R9 report cost figures.
When true, the spreadsheet appends one column pair per level in the product group hierarchy at the end of each row, one column for the uid and one for the name. The number of column pairs follows the deepest product group path in the report.
Response for Product turnover report.
POST /v2/tenants/{tenantUid}/reports/products HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 294
{
"brandUids": [
"text"
],
"fromDateTime": "2026-01-01T00:00:00.000Z",
"productGroupUids": [
"text"
],
"storeUids": [
"text"
],
"toDateTime": "2026-01-01T00:00:00.000Z",
"groupByUserCode": true,
"reportBasis": "settled",
"tenantUserUid": "text",
"includeDeliveryCostAdjustments": true,
"includeProductGroupLevels": true
}Response for Product turnover report.
{
"items": [
{
"costAmount": 1,
"count": 1,
"discountAmount": 1,
"name": "text",
"revenueAmount": 1,
"revenuePercent": 1,
"storeUid": "text",
"turnoverAmount": 1,
"brandUid": "text",
"brandName": "text",
"productGroupUid": "text",
"productGroupName": "text",
"productUid": "text",
"sku": "text",
"lastSettledAt": "2026-01-01T00:00:00.000Z"
}
]
}Last updated
Was this helpful?

